Package net.shibboleth.idp.saml.profile.config

# Interface BrowserSSOProfileConfiguration

All Superinterfaces:
  `AuthenticationProfileConfiguration`, `Component`, `IdentifiedComponent`, `ProfileConfiguration`, `SAMLAssertionProducingProfileConfiguration`, `SAMLProfileConfiguration`

All Known Subinterfaces:
  `BrowserSSOProfileConfiguration`, `ECPProfileConfiguration`

All Known Implementing Classes:
  `BrowserSSOProfileConfiguration`, `BrowserSSOProfileConfiguration`, `ECPProfileConfiguration`, `SSOSProfileConfiguration`

public interface BrowserSSOProfileConfiguration extends AuthenticationProfileConfiguration, SAMLAssertionProducingProfileConfiguration
Profile configuration for IdP SAML Browser SSO profiles.

Adds settings specific to the issuer role that are cross-version.

## Field Summary

### Fields inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`DEFAULT_DISALLOWED_FEATURES`

### Fields inherited from interface net.shibboleth.saml.profile.config.SAMLAssertionProducingProfileConfiguration

`DEFAULT_ASSERTION_LIFETIME`

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getNameIDFormatPrecedence(ProfileRequestContext profileRequestContext)`
Get the name identifier formats to use.
`boolean`
`isIncludeAttributeStatement(ProfileRequestContext profileRequestContext)`
Get whether responses to the authentication request should include an attribute statement.

### Methods inherited from interface net.shibboleth.idp.authn.config.AuthenticationProfileConfiguration

`getAuthenticationFlows, getDefaultAuthenticationMethods, getMaxAge, getPostAuthenticationFlows, getProxyCount, isForceAuthn, isLocal`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`getDisallowedFeatures, getSecurityConfiguration, isFeatureDisallowed`

### Methods inherited from interface net.shibboleth.saml.profile.config.SAMLAssertionProducingProfileConfiguration

`getAssertionAudiences, getAssertionLifetime, isIncludeConditionsNotBefore, isSignAssertions`

### Methods inherited from interface net.shibboleth.saml.profile.config.SAMLProfileConfiguration

`getMessageHandler, isSignRequests, isSignResponses`

## Method Details

### isIncludeAttributeStatement

boolean isIncludeAttributeStatement(@Nullable ProfileRequestContext profileRequestContext)
Get whether responses to the authentication request should include an attribute statement.

Default is true

Parameters:
  `profileRequestContext` - current profile request context
Returns:
  whether responses to the authentication request should include an attribute statement

### getNameIDFormatPrecedence

@Nonnull @NotLive @Unmodifiable List<String> getNameIDFormatPrecedence(@Nullable ProfileRequestContext profileRequestContext)
Get the name identifier formats to use.

Parameters:
  `profileRequestContext` - profile request context
Returns:
  the formats to use